import mysql.simplesql as sql


def insertTmcKitItem(tmckititem):
    yield sql.Insert(table='tmckititem', values={
        'tmccode': tmckititem.get('tmccode', ''),
        'tmckitbarcode': tmckititem.get('tmckitbarcode', None),
        'quantity': tmckititem.get('quantity', None)
    })


def clearTmcKitItem():
    yield sql.DeleteAll('tmckititem')


def deleteTmcKitItem(tmckititem):
    tmccode = tmckititem.get('tmccode', None)
    tmckitbarcode = tmckititem.get('tmckitbarcode', None)
    yield sql.Delete(table='tmckititem', whereFields=['tmccode', 'tmckitbarcode'], 
            whereValues=[tmccode, tmckitbarcode])

